## dmap-record dmap-record |

## Synopsis

    #define             TYPE_DMAP_RECORD
    #define             DMAP_RECORD                         (o)
    #define             IS_DMAP_RECORD                      (o)
    #define             DMAP_RECORD_GET_INTERFACE           (o)
                        DMAPRecord;
                        DMAPRecordInterface;
    typedef             bitwise;
    enum                DMAPMediaKind;
    GType               dmap_record_get_type                (void);
    GByteArray *        dmap_record_to_blob                 (DMAPRecord *record);
    DMAPRecord *        dmap_record_set_from_blob           (DMAPRecord *record,
                                                             GByteArray *blob);

## Object Hierarchy

      GInterface
       +----DMAPRecord

## Description

## Details

### TYPE_DMAP_RECORD

    #define TYPE_DMAP_RECORD	     (dmap_record_get_type ())

The type for DMAPRecord.

### DMAP_RECORD()

    #define             DMAP_RECORD(o)

Casts a DMAPRecord or derived pointer into a (DMAPRecord *) pointer. Depending on the current debugging level, this function may invoke certain runtime checks to identify invalid casts.

`o` : | Object which is subject to casting.

### IS_DMAP_RECORD()

    #define             IS_DMAP_RECORD(o)

Checks whether a valid GTypeInstance pointer is of type `TYPE_DMAP_RECORD`.

`o` : | Instance to check for being a `TYPE_DMAP_RECORD`.

### DMAP_RECORD_GET_INTERFACE()

    #define             DMAP_RECORD_GET_INTERFACE(o)

`o` : |

### DMAPRecord

    typedef struct _DMAPRecord DMAPRecord;

### DMAPRecordInterface

    typedef struct {
    	GTypeInterface parent;

    	GByteArray * (*to_blob)	      (DMAPRecord *record);
    	DMAPRecord * (*set_from_blob) (DMAPRecord *record, GByteArray *blob);
    } DMAPRecordInterface;

### bitwise

    typedef unsigned long long bitwise;

### enum DMAPMediaKind

    typedef enum {
    	DMAP_MEDIA_KIND_MUSIC = 1,
    	DMAP_MEDIA_KIND_MOVIE = 2
    } DMAPMediaKind;

### dmap_record_get_type ()

    GType               dmap_record_get_type                (void);

Returns : |

### dmap_record_to_blob ()

    GByteArray *        dmap_record_to_blob                 (DMAPRecord *record);

`record` : | A DMAPRecord.
Returns : | A byte array representation of the record.

### dmap_record_set_from_blob ()

    DMAPRecord *        dmap_record_set_from_blob           (DMAPRecord *record,
                                                             GByteArray *blob);

`record` : |
`blob` : |
Returns : |